Loading...
Searching...
No Matches
RDKit::ConstBondIterator_ Class Reference

const iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess. More...

`#include <BondIterators.h>`

## Public Member Functions

| ConstBondIterator_ ()
| ConstBondIterator_ (ROMol const *mol)
| ConstBondIterator_ (ROMol const *mol, ROMol::EDGE_ITER pos)
| ConstBondIterator_ (const ConstBondIterator_ &other)
ConstBondIterator_ & | operator= (const ConstBondIterator_ &other)
bool | operator== (const ConstBondIterator_ &other) const
bool | operator!= (const ConstBondIterator_ &other) const
Bond const * | operator* () const
ConstBondIterator_ & | operator++ ()
ConstBondIterator_ | operator++ (int)
ConstBondIterator_ & | operator-- ()
ConstBondIterator_ | operator-- (int)

## Detailed Description

const iterator for a molecule's bonds, currently BiDirectional, but it theoretically ought to be RandomAccess.

Definition at line 52 of file BondIterators.h.

## Constructor & Destructor Documentation

## ConstBondIterator_() [1/4]

RDKit::ConstBondIterator_::ConstBondIterator_ | ( |  | ) |

inline

Definition at line 54 of file BondIterators.h.

## ConstBondIterator_() [2/4]

RDKit::ConstBondIterator_::ConstBondIterator_ | ( | ROMol const * | mol | ) |

## ConstBondIterator_() [3/4]

RDKit::ConstBondIterator_::ConstBondIterator_ | ( | ROMol const * | mol,
|  | ROMol::EDGE_ITER | pos
| ) |  |

## ConstBondIterator_() [4/4]

RDKit::ConstBondIterator_::ConstBondIterator_ | ( | const ConstBondIterator_ & | other | ) |

## Member Function Documentation

## operator!=()

bool RDKit::ConstBondIterator_::operator!= | ( | const ConstBondIterator_ & | other | ) | const

## operator*()

Bond const * RDKit::ConstBondIterator_::operator* | ( |  | ) | const

## operator++() [1/2]

ConstBondIterator_ & RDKit::ConstBondIterator_::operator++ | ( |  | ) |

## operator++() [2/2]

ConstBondIterator_ RDKit::ConstBondIterator_::operator++ | ( | int |  | ) |

## operator--() [1/2]

ConstBondIterator_ & RDKit::ConstBondIterator_::operator-- | ( |  | ) |

## operator--() [2/2]

ConstBondIterator_ RDKit::ConstBondIterator_::operator-- | ( | int |  | ) |

## operator=()

ConstBondIterator_ & RDKit::ConstBondIterator_::operator= | ( | const ConstBondIterator_ & | other | ) |

## operator==()

bool RDKit::ConstBondIterator_::operator== | ( | const ConstBondIterator_ & | other | ) | const

The documentation for this class was generated from the following file:

- BondIterators.h